diff --git a/src/interfaces/ecpg/ecpglib/misc.c b/src/interfaces/ecpg/ecpglib/misc.c
old mode 100644
new mode 100755
index 2ae989e3e5..06f788ea38
--- a/src/interfaces/ecpg/ecpglib/misc.c
+++ b/src/interfaces/ecpg/ecpglib/misc.c
@@ -232,7 +232,7 @@ void
 ecpg_log(const char *format,...)
 {
 	va_list		ap;
-	struct sqlca_t *sqlca = ECPGget_sqlca();
+	struct sqlca_t *sqlca;
 	const char *intl_format;
 	int			bufsize;
 	char	   *fmt;
@@ -262,6 +262,8 @@ ecpg_log(const char *format,...)
 	else
 		snprintf(fmt, bufsize, "[%d]: %s", (int) getpid(), intl_format);
 
+	sqlca = ECPGget_sqlca();
+
 	pthread_mutex_lock(&debug_mutex);
 
 	/* Now that we hold the mutex, recheck simple_debug */
